Name:           fw430
Version:        0.6.0
Release:        1%{?dist}
License:        GPLv2+
Group:          Development/Tools
Summary:        Reva system firmware updater
URL:            http://vym.cz
Source:         http://vym.cz/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Requires:
BuildRequires:	cmake

%global debug_package %{nil}

%description
FW430 - program for firmware update in PMControl's Reva system.

%prep
%setup -q

%build
mkdir -p build_release
(cd build_release && cmake -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_BUILD_TYPE=Release ..)
(cd build_release && make )

%install
%{__rm} -rf $RPM_BUILD_ROOT
(cd build_release && make DESTDIR=$RPM_BUILD_ROOT install)

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO AUTHORS
%{_bindir}/fw430


%changelog
* Tue Jul 25 2017 Pavel Vymetálek <pavel@vym.cz> - 0.6.0-1
- add flash size info

* Thu Mar 30 2017 Pavel Vymetálek <pavel@vym.cz> - 0.5.0-1
- Fixed echo receiving

* Mon Aug 29 2016 Pavel Vymetálek
- add long break support for disable firmware's automatic run

* Wed Jan 20 2016 Pavel Vymetálek
- replace "No errors" messages by "OK" messages
- CMakeFile build type selection

* Tue Mar 17 2015 Pavel Vymetálek
- fixed flash writing

* Wed Dec 03 2014 Pavel Vymetálek
- First rpm release
